Subject: [Fot] Not just on track

From: Robert Dalziel <[email-masked]>
Date: Fri, 17 Jul 2015 14:09:34 -0500

Hi friends.  While I campaign my 64 spitfire in Scca  racing 
I also drive a sharp  57 tr3 I have owned this lovely since 1972. 
This week along with 9 other cars we are driving accross Michigan s upper peninsula and down to Road America it is our 28 year in a row.    It's around 1,200 miles round trip .It a lot of fun to keep Em running and to drive them. As we all know . Track and street.
So best of luck to for at  the hawk at R A    
And drive Em all .

Awrabest.   Scottie
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive